import DataLoader from 'dataloader';
import { AdminContextProvider } from '../../admin-context/providers/admin-context.provider.js';
import { TenantAwareDBClient } from '../../app-providers/tenant-db-client.js';
import type { IClearAllChargeTagsParams, IClearChargeTagsParams, IGetTagsByIDsResult, IInsertChargeTagParams, IUpdateChargeTagPartParams } from '../types.js';
import { TagsProvider } from './tags.provider.js';
export declare class ChargeTagsProvider {
    private db;
    private tagsProvider;
    private adminContextProvider;
    constructor(db: TenantAwareDBClient, tagsProvider: TagsProvider, adminContextProvider: AdminContextProvider);
    private batchTagsByChargeID;
    getTagsByChargeIDLoader: DataLoader<string, IGetTagsByIDsResult[], string>;
    clearChargeTags(params: IClearChargeTagsParams): Promise<void[]>;
    clearAllChargeTags(params: IClearAllChargeTagsParams): Promise<void[]>;
    insertChargeTag(params: IInsertChargeTagParams): Promise<void[]>;
    updateChargeTagPart(params: IUpdateChargeTagPartParams): Promise<void[]>;
    invalidateTagsByChargeID(chargeId: string): Promise<void>;
    clearCache(): void;
}
